###################################################
### chunk number 1: 
###################################################
#line 137 "SweaveInput"
options(prompt="R> ")
require( "LogConcDEAD" )
require( "logcondens" )
require( "mvtnorm" )
options(width=72)


###################################################
### chunk number 2:  eval=FALSE
###################################################
## #line 426 "SweaveInput"
## install.packages("logcondens")
## library("logcondens")


###################################################
### chunk number 3: setn
###################################################
#line 431 "SweaveInput"
n <- 200


###################################################
### chunk number 4: 
###################################################
#line 439 "SweaveInput"
set.seed(1)
#line 431 "SweaveInput#from line#440#"
n <- 200
#line 441 "SweaveInput"
x <- sort(rgamma(n,shape=2))
out1 <- activeSetLogCon(x) ## logcondens estimate
out2 <- mlelcd(x) ## LogConcDEAD estimate


###################################################
### chunk number 5: plot:1d eval=FALSE
###################################################
## #line 450 "SweaveInput"
## ylim <- c(0,0.4) 
## lgdtxt <- c("LogConcDEAD", "logcondens", "true")
## lgdlty <- c(1,2,3)
## plot(out2, ylim=ylim,lty=1)
## lines(x, exp(out1$phi), lty=2)
## lines(x, x*exp(-x), lty=3)
## legend(x=3, y=0.4, lgdtxt, lty=lgdlty)


###################################################
### chunk number 6: plot:log1d eval=FALSE
###################################################
## #line 465 "SweaveInput"
## ylim <- c(-4,-1)
## lgdtxt <- c("LogConcDEAD", "logcondens", "true")
## lgdlty <- c(1,2,3)
## plot(out2, uselog=TRUE, lty=1)
## lines(x, out1$phi, lty=2)
## lines(x, log(x)-x, lty=3)
## legend(x=3, y=-1, lgdtxt, lty=lgdlty) 


###################################################
### chunk number 7: fig_1d
###################################################
#line 478 "SweaveInput"
#line 450 "SweaveInput#from line#478#"
ylim <- c(0,0.4) 
lgdtxt <- c("LogConcDEAD", "logcondens", "true")
lgdlty <- c(1,2,3)
plot(out2, ylim=ylim,lty=1)
lines(x, exp(out1$phi), lty=2)
lines(x, x*exp(-x), lty=3)
legend(x=3, y=0.4, lgdtxt, lty=lgdlty)
#line 479 "SweaveInput"


###################################################
### chunk number 8: fig_log1d
###################################################
#line 490 "SweaveInput"
#line 465 "SweaveInput#from line#490#"
ylim <- c(-4,-1)
lgdtxt <- c("LogConcDEAD", "logcondens", "true")
lgdlty <- c(1,2,3)
plot(out2, uselog=TRUE, lty=1)
lines(x, out1$phi, lty=2)
lines(x, log(x)-x, lty=3)
legend(x=3, y=-1, lgdtxt, lty=lgdlty) 
#line 491 "SweaveInput"


###################################################
### chunk number 9: setn2
###################################################
#line 505 "SweaveInput"
n <- 500


###################################################
### chunk number 10: 
###################################################
#line 512 "SweaveInput"
set.seed(22)
d <- 2
#line 505 "SweaveInput#from line#514#"
n <- 500
#line 515 "SweaveInput"
x <- matrix(rnorm(n*d),ncol=d)


###################################################
### chunk number 11: 
###################################################
#line 528 "SweaveInput"
out <- mlelcd(x,verbose=200)


###################################################
### chunk number 12: 
###################################################
#line 575 "SweaveInput"
names(out)


###################################################
### chunk number 13: 
###################################################
#line 584 "SweaveInput"
out$logMLE[1:5]


###################################################
### chunk number 14: 
###################################################
#line 597 "SweaveInput"
out$triang[1:5,]


###################################################
### chunk number 15: 
###################################################
#line 605 "SweaveInput"
out$b[1:5,]
out$beta[1:5]


###################################################
### chunk number 16: 
###################################################
#line 626 "SweaveInput"
out$NumberOfEvaluations
out$MinSigma


###################################################
### chunk number 17: 
###################################################
#line 632 "SweaveInput"
out$chull[1:5,]


###################################################
### chunk number 18: 
###################################################
#line 639 "SweaveInput"
out$outnorm[1:5,]
out$outoffset[1:5,]


###################################################
### chunk number 19: 
###################################################
#line 671 "SweaveInput"
g <- interplcd(out, gridlen=200)
g1 <- interpmarglcd(out, marg=1)
g2 <- interpmarglcd(out, marg=2)


###################################################
### chunk number 20: plot:2d eval=FALSE
###################################################
## #line 680 "SweaveInput"
## par(mfrow=c(1,2), pty="s", cex=0.7) #square plots
## plot(out,g=g,addp=FALSE,asp=1)
## plot(out,g=g,uselog=TRUE,addp=FALSE,asp=1)


###################################################
### chunk number 21: 
###################################################
#line 688 "SweaveInput"
png(file="LogConcDEAD-fig_2d.png")
#line 680 "SweaveInput#from line#689#"
par(mfrow=c(1,2), pty="s", cex=0.7) #square plots
plot(out,g=g,addp=FALSE,asp=1)
plot(out,g=g,uselog=TRUE,addp=FALSE,asp=1)
#line 690 "SweaveInput"
dev.off()


###################################################
### chunk number 22: plot:2dmarg eval=FALSE
###################################################
## #line 706 "SweaveInput"
## par(mfrow=c(1,2), pty="s", cex=0.7) #normal proportions 
## plot(out,marg=1,g.marg=g1)
## plot(out,marg=2,g.marg=g2)


###################################################
### chunk number 23: fig_2dmarg
###################################################
#line 714 "SweaveInput"
#line 706 "SweaveInput#from line#714#"
par(mfrow=c(1,2), pty="s", cex=0.7) #normal proportions 
plot(out,marg=1,g.marg=g1)
plot(out,marg=2,g.marg=g2)
#line 715 "SweaveInput"


###################################################
### chunk number 24: plot:rgl eval=FALSE
###################################################
## #line 736 "SweaveInput"
## plot(out,g=g,type="r")


###################################################
### chunk number 25: plot:rgllog eval=FALSE
###################################################
## #line 744 "SweaveInput"
## plot(out,g=g,type="r",uselog=TRUE)


###################################################
### chunk number 26:  eval=FALSE
###################################################
## #line 750 "SweaveInput"
## #line 736 "SweaveInput#from line#750#"
## plot(out,g=g,type="r")
## #line 751 "SweaveInput"
## par3d(windowRect = c(55,66,311+256, 322+256))
## rgl.snapshot(file="rglfig.png")


###################################################
### chunk number 27:  eval=FALSE
###################################################
## #line 762 "SweaveInput"
## #line 744 "SweaveInput#from line#762#"
## plot(out,g=g,type="r",uselog=TRUE)
## #line 763 "SweaveInput"
## par3d(windowRect = c(55,66,311+256, 322+256))
## rgl.snapshot(file="rgllog.png")


###################################################
### chunk number 28: 
###################################################
#line 792 "SweaveInput"
nsamp <- 1000
mysamp <- rlcd(nsamp,out)


###################################################
### chunk number 29: 
###################################################
#line 800 "SweaveInput"
apply(mysamp,2,mean)
cov(mysamp)


###################################################
### chunk number 30: 
###################################################
#line 809 "SweaveInput"
m <- 10
mypoints <- 1.5*matrix(rnorm(m*d),ncol=d)


###################################################
### chunk number 31: 
###################################################
#line 815 "SweaveInput"
dlcd(mypoints,out)


###################################################
### chunk number 32: 
###################################################
#line 831 "SweaveInput"
myval <- sort(dlcd(mysamp,out))
alpha <- c(.25,.5,.75)
myval[(1-alpha)*nsamp]



###################################################
### chunk number 33: setn3
###################################################
#line 840 "SweaveInput"
n <- 500


###################################################
### chunk number 34:  eval=FALSE
###################################################
## #line 849 "SweaveInput"
## install.packages("mvtnorm")
## library("mvtnorm")


###################################################
### chunk number 35: 
###################################################
#line 854 "SweaveInput"
set.seed(333)
sigma <- matrix(c(1,0.2,0.2,1),nrow=2)
d <- 2
#line 840 "SweaveInput#from line#857#"
n <- 500
#line 858 "SweaveInput"
y <- rmvnorm(n,sigma=sigma)
xall <- round(y,digits=1)


###################################################
### chunk number 36: 
###################################################
#line 873 "SweaveInput"
tmpw <- getweights(xall)
outw <- mlelcd(tmpw$x,w=tmpw$w)
gw <- interplcd(outw, gridlen=200)


###################################################
### chunk number 37: plot:bin eval=FALSE
###################################################
## #line 885 "SweaveInput"
## par(mfrow=c(1,2), pty="s", cex=0.7) #2 square plots 
## plot(outw,g=gw,asp=1,drawlabels=FALSE)
## plot(outw,g=gw,uselog=TRUE,asp=1,drawlabels=FALSE)


###################################################
### chunk number 38: 
###################################################
#line 894 "SweaveInput"
png(file="LogConcDEAD-fig_bin.png")
#line 885 "SweaveInput#from line#895#"
par(mfrow=c(1,2), pty="s", cex=0.7) #2 square plots 
plot(outw,g=gw,asp=1,drawlabels=FALSE)
plot(outw,g=gw,uselog=TRUE,asp=1,drawlabels=FALSE)
#line 896 "SweaveInput"
dev.off()


###################################################
### chunk number 39: setn4
###################################################
#line 912 "SweaveInput"
n <- 500


###################################################
### chunk number 40: 
###################################################
#line 922 "SweaveInput"
set.seed(4444)
d <- 3
#line 912 "SweaveInput#from line#924#"
n <- 500
#line 925 "SweaveInput"
x <- matrix(rgamma(n*d,shape=2),ncol=d)
out3 <- mlelcd(x)


###################################################
### chunk number 41: 
###################################################
#line 934 "SweaveInput"
mypoints <- c(0,2,4)
dmarglcd(mypoints, out3, marg=1)


###################################################
### chunk number 42: plot:3deg eval=FALSE
###################################################
## #line 943 "SweaveInput"
## par(mfrow=c(2,2),cex=0.8)
## plot(out3, marg=1)
## plot(out3, marg=2)
## plot(out3, marg=3)
## tmp <- seq(min(out3$x), max(out3$x),len=100)
## plot(tmp, dgamma(tmp,shape=2), type="l", 
## xlab="X", ylab="true marginal density")
## title(main="True density")


###################################################
### chunk number 43: fig_3deg
###################################################
#line 957 "SweaveInput"
#line 943 "SweaveInput#from line#957#"
par(mfrow=c(2,2),cex=0.8)
plot(out3, marg=1)
plot(out3, marg=2)
plot(out3, marg=3)
tmp <- seq(min(out3$x), max(out3$x),len=100)
plot(tmp, dgamma(tmp,shape=2), type="l", 
xlab="X", ylab="true marginal density")
title(main="True density")
#line 958 "SweaveInput"


